using Microsoft.AspNetCore.Mvc;
using WCS.BLL.Services.IService;
using WCS.Model;
using WCS.Model.ApiModel;
using WCS.Model.ApiModel.User;
using WCS.Model.WebSocketModel;

namespace WCS.WebApi.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class WarningController : ControllerBase
    {
        public IWarningService _warningService { get; set; }

        public WarningController(IWarningService warningService)
        {
            _warningService = warningService;
        }

        [Route("solveWarning")]
        [HttpPost(Name = "solveWarning")]
        public async Task<ResponseBase> SolveWarning(SolveWarningRequest request)
        {
            return await _warningService.SolveWarning(request);
        }


    }
}
